Ativa o menu
Toggle preferences menu
Alternar menu pessoal
Não autenticado(a)
Your IP address will be publicly visible if you make any edits.

Predefinição:Card hover name/styles.css: mudanças entre as edições

De Runas & Campeões
Sem resumo de edição
Sem resumo de edição
Linha 107: Linha 107:
opacity: 1;
opacity: 1;
}
}
.wrapper{
display: flex;
width: 90%;
justify-content: space-around;
}
.card {
width: 280px;
height: 360px;
border-radius: 15px;
padding: 15px;
background: white;
position: relative;
display: flex;
align-items: flex-end;
transition: 0.4s ease-out;
}
.card:hover{
transform: translateY(20px);
}
.card:before{
opacity: 1
}
.info {
opacity: 1;
transform: translateY(0px);
}
.info:before {
content: "";
position: absolute;
top: 0;
left: 0;
display: block;
width: 100%;
height: 100%;
border-radius: 15px;
z-index: 2;
transition: 0.5s;
opacity: 0;
}
img{
width: 100%;
height: 100%;
object-fit: cover;
position: absolute;
top: 0;
left: 0;
border-radius: 15px;
}
.info{
position: relative;
z-index: 3;
color: white;
opacity: 0;
transform: translateY(30px);
transition: 0.5s;
}
h1 {
margin: 0px;
}
p {
letter-spacing: 1px;
font-size: 15px;
margin-top: 8px;
}
button {
padding: 0.6rem;
outline: none;
border: none;
border-radius: 3px;
background: white;
color: black;
font-weight: bold;
cursor: pointer;
transition: 0.4s ease;
}
button:hover {
background: dodgerblue;
color: white;
}

Edição das 13h26min de 26 de março de 2024

.home-card {
	position: relative;
	padding: 15px;
	background: var(--color-surface-1);
	border-radius: 8px;
	box-shadow: 0 3px 6px rgba(0, 0, 0, 0.04), 0 3px 6px rgba(0, 0, 0, 0.0575);
	font-size: 0.875rem;
	display: flex;
	align-items: flex-end;
	transition: 0.4s ease-out;
}

/*.home-card:hover:before{
	opacity:1;
}

.home-card .home-card__foreground:hover:before {
	opacity:1;
	transform: translateY(0px)
}

.home-card:before{
	content: "";
	position: absolute;
	top: 0;
	left: 0;
	display: block;
	width: 100%;
	height: 100%;
	border-radius: 15px;
	z-index: 2;
	transition: 0.5s;
	opacity: 0;
}*/

.home-card__background {
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	background: #242a31;
	border-radius: 8px;
}

.home-card__background img {
	width: 100%;
	height: 100%;
	object-fit: cover;
	object-position: center;
}

.home-card__foreground {
	position: relative;
	z-index: 3;
	color: white;
	opacity: 0;
	transform: translateY(30px);
	transition: 0.5s;
}
.home-card__foreground h1{
	margin: 0px;
}
.home-card__foreground p {
	letter-spacing: 1px;
	font-size: 15px;
	margin-top: 8px; 
}
.home-card__foreground:hover p {
	/*background: dodgerblue;*/
	opacity: 1;
	color: white;
}

.home-card p {
	margin-top: 0.2rem;
	font-size: 0.875rem;
}

.home-card.home-card--button {
	overflow: hidden;
	padding: 0;
	background: #242a31;
}

.home-card--button a {
	display: flex;
	height: 100%;
	justify-content: center;
	align-items: center;
	padding: 0 15px;
	background: transparent;
	color: #fff;
	font-weight: 500;
}

.home-card--button .home-card__background a {
	padding: 0;
}

.home-card--button img {
	transition: transform 0.2s ease;
}

.home-card--button:hover img {
	transform: scale(1.1);
	opacity: 1;
}

.wrapper{
	display: flex;
	width: 90%;
	justify-content: space-around;
}

.card {
	width: 280px;
	height: 360px;
	border-radius: 15px;
	padding: 15px;
	background: white;
	position: relative;
	display: flex;
	align-items: flex-end;
	transition: 0.4s ease-out;

}
.card:hover{
		transform: translateY(20px);
}
.card:before{
			opacity: 1
}

.info {
			opacity: 1;
			transform: translateY(0px);
}

.info:before {
		content: "";
		position: absolute;
		top: 0;
		left: 0;
		display: block;
		width: 100%;
		height: 100%;
		border-radius: 15px;
		z-index: 2;
		transition: 0.5s;
		opacity: 0;
}
	img{
		width: 100%;
		height: 100%;
		object-fit: cover;
		position: absolute;
		top: 0;
		left: 0;
		border-radius: 15px;
}
	.info{
		position: relative;
		z-index: 3;
		color: white;
		opacity: 0;
		transform: translateY(30px);
		transition: 0.5s;
	}
	
	h1 {
			margin: 0px;
	}
	
	 p {
	letter-spacing: 1px;
	font-size: 15px;
	margin-top: 8px;
	}
		button {
			padding: 0.6rem;
			outline: none;
			border: none;
			border-radius: 3px;
			background: white;
			color: black;
			font-weight: bold;
			cursor: pointer;
			transition: 0.4s ease;
		}
		
		button:hover {
				background: dodgerblue;
				color: white;
	}